
  <section class="home-bner about-name contect-frm" >
    <div class="container">
      <div class="col-lg-12">
        <div class="row">
          <div class="col-lg-5 col-md-5 col-sm-5 col-xs-12 fade-up-scroll" data-aos="fade-down" data-aos-easing="ease-out-cubic"
     data-aos-duration="2000">
            <div class="inr-bnr-lft">
              <h6>get in touch</h6>
              <h2>We're excited to hear from you. </h2> 
               <p>Please get in touch with project materials,
talent introductions, strategy information
and/or general inquiries. Best way to get in
touch is by sending us an email. </p>
            </div>
          </div>
          <div class="col-lg-7 col-md-7 col-sm-7 col-xs-12 fade-down-scroll" data-aos="fade-up" data-aos-easing="ease-out-cubic"
     data-aos-duration="2000">
            <div class="inr-contct-rt">
                <form class="form" [formGroup]="contactForm" novalidate="novalidate" id="kt_login_signin_form" (ngSubmit)="submit()">
  <!-- Name input -->
  <div class="form-outline mb-4">
    <input type="text" id="form4Example1" class="form-control" formControlName="name"
        placeholder="Please Enter Name" autocomplete="off"
        [ngClass]="{ 'is-invalid': contactForm.controls['name'].invalid }"/>
        <ng-container
        [ngTemplateOutlet]="formError"
        [ngTemplateOutletContext]="{
          validation: 'required',
          message: 'Name is required',
          control: contactForm.controls['name']
        }"
      ></ng-container>  
    
  </div>

  <!-- Email input -->
  <div class="form-outline mb-4">
    <input type="email" id="form4Example2" class="form-control" formControlName="email"
        placeholder="Please Enter Email" autocomplete="off"
        [ngClass]="{ 'is-invalid': contactForm.controls['email'].invalid }"/>
            <ng-container
        [ngTemplateOutlet]="formError"
        [ngTemplateOutletContext]="{
          validation: 'required',
          message: 'Email is required',
          control: contactForm.controls['email']
        }"
      ></ng-container>      
      <ng-container
        [ngTemplateOutlet]="formError"
        [ngTemplateOutletContext]="{
          validation: 'email',
          message: 'Email is invalid',
          control: contactForm.controls['email']
        }"
      ></ng-container>
      <ng-container
        [ngTemplateOutlet]="formError"
        [ngTemplateOutletContext]="{
          validation: 'minLength',
          message: 'Email should have at least 6 symbols',
          control: contactForm.controls['email']
        }"
      ></ng-container>
      <ng-container
        [ngTemplateOutlet]="formError"
        [ngTemplateOutletContext]="{
          validation: 'maxLength',
          message: 'Email should have maximum 360 symbols',
          control: contactForm.controls['email']
        }"
      ></ng-container>
  
  </div>

  <!-- Message input -->
  <div class="form-outline mb-4">
    <textarea class="form-control" id="form4Example3" formControlName="msg"
        placeholder="Please Enter Message" autocomplete="off"
        [ngClass]="{ 'is-invalid': contactForm.controls['msg'].invalid }" placeholder="Type your message here...." rows="4"></textarea>
              <ng-container
        [ngTemplateOutlet]="formError"
        [ngTemplateOutletContext]="{
          validation: 'minLength',
          message: 'Message should have at least 3 symbols',
          control: contactForm.controls['msg']
        }"
      ></ng-container>
      <ng-container
        [ngTemplateOutlet]="formError"
        [ngTemplateOutletContext]="{
          validation: 'maxLength',
          message: 'Message should have maximum 360 symbols',
          control: contactForm.controls['msg']
        }"
      ></ng-container> 
         <ng-container
        [ngTemplateOutlet]="formError"
        [ngTemplateOutletContext]="{
          validation: 'required',
          message: 'Message is required',
          control: contactForm.controls['msg']
        }"
      ></ng-container> 

    
  </div>


  <!-- Submit button -->
  <button type="submit" class="btn btn-primary btn-block mb-4" [disabled]="contactForm.invalid">Submit</button>
</form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  <ng-template
  #formError
  let-control="control"
  let-message="message"
  let-validation="validation"
>

<ng-container
    *ngIf="control.hasError(validation) && (control.dirty || control.touched)"
  >
    <div class="fv-plugins-message-container">
      <div class="fv-help-block">
        {{ message }}
      </div>
    </div>
  </ng-container>
